#include<iostream>
#include<string>
using namespace std;
const long long MAXN=1e5+7;
string duma[MAXN];
int main (){
    string a;

    int n;
    cin>>a;
    cin>>n;
    //a.erase(a.begin(),a.end()-3);
    for(int i=0;i<n;i++){
        cin>>duma[i];
    }
    int ind=0;
    bool fl=false;
    while(true){
        for(int i=0;i<n;i++){
                ind=0;
            for(int j=0;j<a.size();j++){
                if(a[j]==duma[i][ind]){
                    if(ind==duma[i].size()-1){
                        a.erase(a.begin()+j-duma[i].size()+1,a.begin()+j+1);
                        fl=true;
                        ind=0;
                        break;
                    }else ind++;
                }else ind=0;
            }
            if(fl){
                fl=false;
                break;
            }else{
                if(i==n-1){
                    fl=true;
                }
            }
        }
        if(fl) break;
    }
    cout<<a<<"\n";
    return 0;
}
